## ros-humble-rosbag2-compression 0.15.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_compression)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

# Windows supplies macros for min and max by default. We should only use min and max from stl
if(WIN32)
  add_definitions(-DNOMINMAX)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rosbag2_cpp)
find_package(rosbag2_storage REQUIRED)

add_library(${PROJECT_NAME}
  SHARED
  src/rosbag2_compression/compression_factory.cpp
  src/rosbag2_compression/compression_options.cpp
  src/rosbag2_compression/sequential_compression_reader.cpp
  src/rosbag2_compression/sequential_compression_writer.cpp)
target_include_directories(${PROJECT_NAME}
  PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/${PROJECT_NAME}>)
ament_target_dependencies(${PROJECT_NAME}
  pluginlib
  rcpputils
  rcutils
  rosbag2_cpp
  rosbag2_storage)
target_compile_definitions(${PROJECT_NAME} PRIVATE ROSBAG2_COMPRESSION_BUILDING_DLL)

install(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME})

install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

# Export old-style CMake variables
ament_export_include_directories("include/${PROJECT_NAME}")
ament_export_libraries(${PROJECT_NAME})

# Export modern CMake targets
ament_export_targets(export_${PROJECT_NAME})

ament_export_dependencies(pluginlib rcpputils rcutils rosbag2_cpp rosbag2_storage)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(rclcpp REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  ament_lint_auto_find_test_dependencies()

  add_library(fake_plugin SHARED
    test/rosbag2_compression/fake_compressor.cpp
    test/rosbag2_compression/fake_decompressor.cpp)
  target_link_libraries(fake_plugin ${PROJECT_NAME})
  install(
    TARGETS fake_plugin
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)
  pluginlib_export_plugin_description_file(
    rosbag2_compression test/rosbag2_compression/fake_plugin.xml)

  ament_add_gmock(test_compression_factory
    test/rosbag2_compression/test_compression_factory.cpp)
  target_link_libraries(test_compression_factory ${PROJECT_NAME})

  ament_add_gmock(test_compression_options
    test/rosbag2_compression/test_compression_options.cpp)
  target_link_libraries(test_compression_options ${PROJECT_NAME})

  ament_add_gmock(test_sequential_compression_reader
    test/rosbag2_compression/test_sequential_compression_reader.cpp)
  target_link_libraries(test_sequential_compression_reader ${PROJECT_NAME})
  ament_target_dependencies(test_sequential_compression_reader rosbag2_cpp rosbag2_storage)

  ament_add_gmock(test_sequential_compression_writer
    test/rosbag2_compression/test_sequential_compression_writer.cpp)
  target_link_libraries(test_sequential_compression_writer ${PROJECT_NAME})
  ament_target_dependencies(test_sequential_compression_writer rosbag2_cpp rosbag2_storage)
endif()

ament_package()

=== debian/changelog ===
ros-humble-rosbag2-compression (0.15.7-1jammy) jammy; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Jul 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.6-1jammy) jammy; urgency=high

  * Deconstruct compression classloader factory in correct order with classes loaded (#1362 <https://github.com/ros2/rosbag2/issues/1362>)
  * Fx memory issue when multiple writers with message compression_mode required (#1331 <https://github.com/ros2/rosbag2/issues/1331>)
    - Deep copy message when sequential compression writer is writing
    Co-authored-by: zeal <mailto:ziyaolin.zeal@gmail.com>
  * Contributors: Emerson Knapp, zeal-up

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 05 Jun 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.5-1jammy) jammy; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 25 Apr 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.4-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.3-1jammy) jammy; urgency=high

  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Contributors: Keisuke Shima

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 07 Nov 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 11 May 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 06 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.15.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.14.1-1jammy) jammy; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.14.0-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 29 Mar 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.13.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 13 Jan 2022 00:00:00 -0000

ros-humble-rosbag2-compression (0.12.0-1jammy) jammy; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * Bugfix for broken bag split when using cache (#936 <https://github.com/ros2/rosbag2/issues/936>)
  * Contributors: Chris Lalancette, Michael Orlov

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.11.0-1jammy) jammy; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Don't preprocess a storage file more than once (#895 <https://github.com/ros2/rosbag2/issues/895>)
  * Contributors: Michel Hidalgo, sonia

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 08 Nov 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.10.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 22 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.10.0-1jammy) jammy; urgency=high

  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * fix sequential reader rollover-to-next-file strategy: (#839 <https://github.com/ros2/rosbag2/issues/839>)
  * Load compression and serialization choices via plugin query (#827 <https://github.com/ros2/rosbag2/issues/827>)
  * Contributors: Cameron Miller, sonia

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 19 Oct 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.9.0-1jammy) jammy; urgency=high

  * Rename Reader/Writer 'reset' to 'close' (#760 <https://github.com/ros2/rosbag2/issues/760>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 17 May 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.8.0-1jammy) jammy; urgency=high

  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)
    Add a new C++ Reindexer class for reconstructing metadata from bags that are missing it.
  * Contributors: Emerson Knapp, jhdcs

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 19 Apr 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.7.0-1jammy) jammy; urgency=high

  * CLI query rosbag2_py for available storage implementations (#659 <https://github.com/ros2/rosbag2/issues/659>)
  * Move zstd compressor to its own package (#636 <https://github.com/ros2/rosbag2/issues/636>)
  * Remove rosbag2_compression test dependencies on zstd implementation in prep for moving it into a separate package (#637 <https://github.com/ros2/rosbag2/issues/637>)
  * Contributors: Emerson Knapp

 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 18 Mar 2021 00:00:00 -0000

ros-humble-rosbag2-compression (0.6.0-1jammy) jammy; urgency=high

  * Make compressor implementations into a plugin via pluginlib (#624 <https://github.com/ros2/rosbag2/issues/624>)
  * Use ZSTD's streaming interface for [de]compressing files (#543 <https://github.com/ros2/rosbag2/issues/543>)
  * Fix build issues when rosbag2_storage is binary installed (#585 <https://github.com/ros2/rosbag2/issues/585>)


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-compression//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rosbag2-compression 0.15.12

=== debian/changelog ===
ros-humble-rosbag2-compression (0.15.12-1bookworm) bookworm; urgency=high

  * [humble] Bugfix for bag_split event callbacks called to early with file compression (backport #1643 <https://github.com/ros2/rosbag2/issues/1643>) (#1733 <https://github.com/ros2/rosbag2/issues/1733>)
  * [humble] Add option to prevent message loss while converting (backport #1058 <https://github.com/ros2/rosbag2/issues/1058>) (#1749 <https://github.com/ros2/rosbag2/issues/1749>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 27 Jul 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.11-1bookworm) bookworm; urgency=high

  * [humble] Rollback to rcpputils::fs and workaround failure in "open_succeds_twice" on second run. (#1666 <https://github.com/ros2/rosbag2/issues/1666>)
  * Add in a missing cstdint include. (#1321 <https://github.com/ros2/rosbag2/issues/1321>) (#1663 <https://github.com/ros2/rosbag2/issues/1663>)
  * Contributors: Michael Orlov, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 19 May 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.10-1bookworm) bookworm; urgency=high

  * [humble] Bugfix for writer not being able to open again after closing (backport #1599 <https://github.com/ros2/rosbag2/issues/1599>) (#1653 <https://github.com/ros2/rosbag2/issues/1653>)
  * [humble] Add default initialization for CompressionOptions (backport #1539 <https://github.com/ros2/rosbag2/issues/1539>) (#1546 <https://github.com/ros2/rosbag2/issues/1546>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 May 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.9-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.8-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.7-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.6-1bookworm) bookworm; urgency=high

  * Deconstruct compression classloader factory in correct order with classes loaded (#1362 <https://github.com/ros2/rosbag2/issues/1362>)
  * Fx memory issue when multiple writers with message compression_mode required (#1331 <https://github.com/ros2/rosbag2/issues/1331>)
    - Deep copy message when sequential compression writer is writing
    Co-authored-by: zeal <mailto:ziyaolin.zeal@gmail.com>
  * Contributors: Emerson Knapp, zeal-up

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 04 Jun 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.5-1bookworm) bookworm; urgency=high

  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>) (#1224 <https://github.com/ros2/rosbag2/issues/1224>)
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.4-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.3-1bookworm) bookworm; urgency=high

  * Backport. Add use_sim_time option to record verb (#1017 <https://github.com/ros2/rosbag2/issues/1017>)
  * Contributors: Keisuke Shima

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.2-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 10 May 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.15.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.14.1-1bookworm) bookworm; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.14.0-1bookworm) bookworm; urgency=high

  * Install headers to include/${PROJECT_NAME} (#958 <https://github.com/ros2/rosbag2/issues/958>)
  * Remove unnecessary public definition. (#950 <https://github.com/ros2/rosbag2/issues/950>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 28 Mar 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.13.0-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosbag2-compression (0.12.0-1bookworm) bookworm; urgency=high

  * Changes for uncrustify 0.72 (#937 <https://github.com/ros2/rosbag2/issues/937>)
  * Bugfix for broken bag split when using cache (#936 <https://github.com/ros2/rosbag2/issues/936>)
  * Contributors: Chris Lalancette, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rosbag2-compression (0.11.0-1bookworm) bookworm; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Don't preprocess a storage file more than once (#895 <https://github.com/ros2/rosbag2/issues/895>)
  * Contributors: Michel Hidalgo, sonia

 -- Michael Orlov <michael.orlov@apex.ai>  Sun, 07 Nov 2021 16:00:00 -0000

ros-humble-rosbag2-compression (0.10.1-1bookworm) bookworm; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 21 Oct 2021 16:00:00 -0000

ros-humble-rosbag2-compression (0.10.0-1bookworm) bookworm; urgency=high

  * added seek interface (#836 <https://github.com/ros2/rosbag2/issues/836>)
  * Refactor plugin query mechanism and standardize trait management (#833 <https://github.com/ros2/rosbag2/issues/833>)
  * fix sequential reader rollover-to-next-file strategy: (#839 <https://github.com/ros2/rosbag2/issues/839>)


=== debian/control ===
Source: ros-humble-rosbag2-compression
Section: misc
Priority: optional
Maintainer: Michael Orlov <michael.orlov@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gmock <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp <!nocheck>, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rosbag2-cpp, ros-humble-rosbag2-storage, ros-humble-rosbag2-test-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosbag2-compression
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rcpputils, ros-humble-rcutils, ros-humble-rosbag2-cpp, ros-humble-rosbag2-storage, ros-humble-ros-workspace
Description: Compression implementations for rosbag2 bags and messages.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-compression//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rosbag2-compression//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rosbag2-compression//opt/ros/humble/opt/rosbag2_compression/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
